package com.becausesec.chuckjokes.controllers

import com.becausesec.chuckjokes.services.JokeService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Controller
import org.springframework.ui.Model
import org.springframework.web.bind.annotation.RequestMapping

@Controller
class JokeController {

    @Autowired
    lateinit var jokeService: JokeService

    @RequestMapping(value=["/", ""])
    fun showJoke(model : Model) : String {
        model.addAttribute("joke", jokeService.joke)
        return "chucknorris"
    }

}